Niebezpieczna luka w Linuksie

W dość sporej liczbie dystrybucji systemu Linux odkryto dość niebezpieczną lukę.

Jak twierdzi specjalista ds. bezpieczeństwa, Jens Axboe, dotyczy ona dystrybucji Ubuntu, Suse, Red Hat, Mandrake i Debian z jądrem w wersji do 2.6.24.1 (z wyłączeniem tej ostatniej).

Reklama

Związana jest ona z dostępem do pamięci. Określona przez US National Vulnerability Database jako "wysoce niebezpieczna" pozwala lokalnie atakującemu na uzyskanie praw administratora poprzez "sprytnie skonstruowane argumenty w wywołaniu systemowej funkcji vmsplice".

W internecie dostępny jest kod wykorzystujący lukę (www.milw0rm.com/exploits/5092), firma Security Focus opublikowała odnośniki do poprawek łatających dziury: (www.securityfocus.com/bid/27704/solution)

Źródło: hacking.pl

Źródło informacji

hacking.pl
Dowiedz się więcej na temat: niebezpieczeństwo | luka

Reklama

Najlepsze tematy

Reklama

Strona główna INTERIA.PL

Polecamy

Rekomendacje